This is the
style. Back

# CSS Sample

Here’s what the output would look like with the currently selected CSS style. The CSS structure is well-documented so you can easily alter it or make your own.

Here’s a paragraph break. Natural Docs defaults to print-style paragraphs, where each one is indented rather than separated with a blank line. If you open the CSS file it will tell you which line to remove to go back to web-style paragraphs.

#### Header

There’s a header, just so you know what one looks like in this style. As you can tell, the quality of the text here is going to go downhill fast as I’m really just blathering on to fill up the page. If you’re actually reading this, you can safely stop now. No, really. I’m not going to say anything important from here on down. Reading it will be just as boring as writing it was.

- Here’s a bullet. Thought you should see that.
- Here’s another one. Well look at that.
- And a third. Looks just like all the others, but I’m going to give it some more text. So there you go.

Now lets look at a text diagram, shall we? Are you still reading this? What’s wrong with you?

    +------+     +------+
    | Moby | --> | Dick |
    +------+     +------+
       |
       V
    +----------+
    | Musician |
    +----------+

Summary

CSS Sample | Here’s what the output would look like with the currently selected CSS style.
DoSomething | Ah, here’s our first function.
DoSomethingElse | This is another function, much like DoSomething(), but different, in that it does something else.
Variables |
myVariable | This is my variable.

### DoSomething

int DoSomething( | int | one, |
| int | two, |
| float | four | )

Ah, here’s our first function. I have nothing to say about it just like I had nothing to say about anything else. Typing, typing, typing to fill up space. Just a random stream-of-consciousness about nothing.

#### Parameters

one | This is the first parameter, aptly named one.
two | Bet you can’t guess what the next one is called?
four | Hah! Did that just to screw you up.

#### Returns

Sometimes it returns, sometimes it doesn’t. It’s moody that way.

### DoSomethingElse

bool DoSomethingElse()

This is another function, much like DoSomething(), but different, in that it does something else. Hover over DoSomething(), will ya? See the nice DHTML tooltip goodness. Here, here’s a link to myVariable too. Hover over that.

### Variables

### myVariable

int myVariable

This is my variable. See how the prototype is colored differently on the default styles? I thought that was cool too, since you can tell where you are in the documentation easier. Or maybe you didn’t think it was cool. I shouldn’t make assumptions like that. See, now you went and hurt my feelings. Shame on you.

Um, why are you still reading this? Didn’t you learn by now?

int DoSomething( | int | one, |
| int | two, |
| float | four | )

Ah, here’s our first function.

bool DoSomethingElse()

This is another function, much like DoSomething(), but different, in that it does something else.

int myVariable

This is my variable.